-- Code for this module copied from Bartender3 by Nevcairiel, modified by Nimbal

Buffalo2FuBar = AceLibrary("AceAddon-2.0"):new("AceEvent-2.0", "AceConsole-2.0", "FuBarPlugin-2.0")
local L = AceLibrary("AceLocale-2.2"):new("Buffalo2")

Buffalo2FuBar.name = "Buffalo2"
Buffalo2FuBar.hasIcon = "Interface\\Icons\\Ability_Bullrush"
Buffalo2FuBar.hasNoColor = true
Buffalo2FuBar.defaultMinimapPosition = 250
Buffalo2FuBar.clickableTooltip = false
Buffalo2FuBar.hideWithoutStandby = true
Buffalo2FuBar.independentProfile = true
Buffalo2FuBar.cannotDetachTooltip = true

local waterfall = AceLibrary:HasInstance("Waterfall-1.0") and AceLibrary("Waterfall-1.0")

function Buffalo2FuBar:OnInitialize()
    self.db = Buffalo2:AcquireDBNamespace("fubar")
    self.OnMenuRequest = Buffalo2.options
end

local Tablet = AceLibrary("Tablet-2.0")
-- FuBar Stuff
function Buffalo2FuBar:OnTooltipUpdate()
    local cat = Tablet:AddCategory("columns", 2)
    if(Buffalo2.db.profile.locked) then
        cat:AddLine("text", L["Buff containers locked"])
    else
        cat:AddLine("text", L["Buff containers not locked"])
    end
    Tablet:SetHint(L["\n|cffeda55fDouble-Click|r to open config GUI.\n|cffeda55fCtrl-Click|r to toggle buff container lock."])
end

function Buffalo2FuBar:OnClick(button)
    if IsControlKeyDown() then
        Buffalo2:SetLockForAll(not Buffalo2.db.profile.locked)
    end
    self:UpdateDisplay()
end

function Buffalo2FuBar:OnDoubleClick()
    if waterfall then
        waterfall:Open("Buffalo2")
    else
        self:Print("Waterfall-1.0 is needed to access the GUI.")
    end
end
