local L = AceLibrary("AceLocale-2.2"):new("Buffalo2")

Buffalo2.Templates.ClassicBuffs = {
    author = "Nimbal",

    GetName = function(container)
        return "Classic Buffalo - Buffs"
    end,

    GetDescription = function(container)
        return L["Classic Buffalo - Shows player buffs only"]
    end,

    ContainsBuff = function(container, buff)
        if(buff.unitid == "player" and buff.filter == "HELPFUL") then
            return true
        else
            return false
        end
    end,

    Buttons = {
        GetGhostColor = function(button)
            return 0.2, 0.7, 0.2, 0.7
        end,
    },
}

Buffalo2.Templates.ClassicDebuffs = {
    author = "Nimbal",

    GetName = function(container)
        return "Classic Buffalo - Debuffs"
    end,

    GetDescription = function(container)
        return L["Classic Buffalo - Shows player debuffs only"]
    end,

    ContainsBuff = function(container, buff)
        if(buff.unitid == "player" and buff.filter=="HARMFUL") then
            return true
        else
            return false
        end
    end,

    Buttons = {
        GetGhostColor = function(button)
            return 0.7, 0.2, 0.2, 0.7
        end,
    },
}

Buffalo2.Templates.ClassicWeaponEnchants = {
    author = "Nimbal",

    GetName = function(container)
        return "Classic Buffalo - Weapon Enchants"
    end,

    GetDescription = function(container)
        return L["Classic Buffalo - Shows temporary weapon enchants only"]
    end,

    ContainsBuff = function(container, buff)
        if(buff.unitid == "MH" or buff.unitid == "OH") then
            return true
        else
            return false
        end
    end,

    Buttons = {
        GetGhostColor = function(button)
            return 0.2, 0.2, 0.7, 0.7
        end,
    },
}
